Subject: [PATCH 00/16] Add hledger and its dependencies.

From: Carlo Holl <[email-masked]>
Date: Fri, 23 Oct 2020 00:46:53 -0700

Guix,

This patch series adds hledger, a plaintext accounting program. hledger started as a Haskell reimplementation of
Ledger CLI. I use hledger regularly to manage personal finances and those of several businesses, and would not be 
suprised to find other hledger users in the Guix community.

More information is available at https://hledger.org.

A couple of notes:

    1. The hledger package is placed in (gnu packages finance), and its dependencies in (gnu packages haskell-xyz).
    2. The hledger package is *not* prefixed with 'ghc', but its dependencies are.
    3. The package ghc-doctest was bumped (minor version), affecting several dependent packages. 
        I was able to build most of these affected packages (querying guix refresh --list-dependents), 
        but it was taking forever so I cut that effort short. I consider this a rough heuristic to determine
        that there are no substantial changes associated with this version bump.
    4. I'm not terribly familiar with the Texinfo format, so there are likely some rough edges there. 
    5. I am able to build hledger and its dependencies without error, but was unsuccessful building
        on different architectures with qemu. I wasn't even able to build GHC under qemu so I didn't bother
        digging any further.

This is my first contribution to Guix, and I'm also not a Haskell expert, so expect some headaches. I am happy to attend 
to any issues as best I am able.

Carlo

Carlo Holl (16):
  gnu: Add ghc-control-monad-free.
  gnu: Add ghc-csv.
  gnu: Add ghc-decimal.
  gnu: Upgrade ghc-doctest.
  gnu: Add ghc-hspec-megaparsec.
  gnu: Add ghc-lucid.
  gnu: Add ghc-only.
  gnu: Add ghc-text-short.
  gnu: Add ghc-tabular.
  gnu: Add ghc-uglymemo.
  gnu: Add ghc-wizards.
  gnu: Add ghc-cassava.
  gnu: Add ghc-cassava-megaparsec.
  gnu: Add ghc-hledger-lib.
  gnu: Add hledger.
  Add attribution.

 gnu/packages/finance.scm     |  64 ++++
 gnu/packages/haskell-xyz.scm | 579 ++++++++++++++++++++++++++++++++++-
 2 files changed, 628 insertions(+), 15 deletions(-)

-- 
2.28.0